Skip to main content

Searches for customers by firstname, last name, email or phone number that begins with the provided search text

GET 

/rest/appointment/customers/search

Searches for customers by firstname, last name, email or phone number that begins with the provided search text.

In order to match phone number a search string length of 5 is required.

Searching for 2-3 characters will match exact against first and last name (not using wildcards).

To match on 'date of birth' the complete date should be provided using the format YYYY-MM-DD or YYYYMMDD

Example of usage :

curl -i -u user:password -X GET http://orchestra-ip:orchestra-port/rest/appointment/customers/search?text=searchString

Request​

Responses​

A list of Customer instances found during the search